%define major 0
%define name rote
%define version 0.2.8 
%define release %mkrel 4
%define  libname %mklibname %{name} %{major}
%define  libname_devel  %mklibname -d  %{name} %{major}


Summary: Simple C library for VT102 terminal emulation
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
Url: http://rote.sourceforge.net/
BuildRequires: ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ROTE is a simple C library for VT102 terminal emulation. It allows
the programmer to set up virtual 'screens' and send them data. The
virtual screens will emulate the behavior of a VT102 terminal,
interpreting escape sequences, control characters and such. The
library supports ncurses as well so that you may render the 
virtual screen to the real screen when you need to.


%package -n %libname
Summary: Simple C library for VT102 terminal emulation
Group: System/Libraries

Provides: %{name}
Obsoletes: %{name}

%description -n %libname
ROTE is a simple C library for VT102 terminal emulation. It allows
the programmer to set up virtual 'screens' and send them data. The
virtual screens will emulate the behavior of a VT102 terminal,
interpreting escape sequences, control characters and such. The
library supports ncurses as well so that you may render the 
virtual screen to the real screen when you need to.

This package contains the runtime files needed for ROTE.
%package -n %libname_devel
Summary: Simple C library for VT102 terminal emulation
Group: System/Libraries
Provides: librote-devel
Requires: %libname = %{version}

%description -n %libname_devel
ROTE is a simple C library for VT102 terminal emulation. It allows
the programmer to set up virtual 'screens' and send them data. The
virtual screens will emulate the behavior of a VT102 terminal,
interpreting escape sequences, control characters and such. The
library supports ncurses as well so that you may render the 
virtual screen to the real screen when you need to.

This package contains the developement files needed for ROTE.
%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/rote-config

%clean
rm -rf $RPM_BUILD_ROOT


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname_devel 
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%multiarch %{multiarch_bindir}/rote-config
%{_bindir}/rote-config



%changelog
* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.8-4mdv2009.0
+ Revision: 233781
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.8-3mdv2008.1
+ Revision: 171082
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.8-2mdv2008.1
+ Revision: 126655
- kill re-definition of %%buildroot on Pixel's request
- import rote


* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 0.2.8-2mdk
- fix BuildRequires

* Wed Sep 28 2005 Michael Scherer <misc@mandriva.org> 0.2.8-1mdk
- New release 0.2.8
- apply the packaging policy

* Fri Apr 15 2005  <guibo@guibpiv.guibland.com> 0.2.6 -2mdk
- new release

* Fri Apr 15 2005  <guibo@guibpiv.guibland.com> 0.2.6 -1mdk
- first release
